[147340] users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku

devans at macports.org devans at macports.org
Fri Apr 1 15:57:45 PDT 2016


Revision: 147340
          https://trac.macports.org/changeset/147340
Author:   devans at macports.org
Date:     2016-04-01 15:57:45 -0700 (Fri, 01 Apr 2016)
Log Message:
-----------
GNOME-3/stable: gnome-sudoku, update to version 3.20.0, update autogen.sh from upstream git master, no longer requires gnome-common to build.

Modified Paths:
--------------
    users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/Portfile
    users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/files/autogen.sh

Property Changed:
----------------
    users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/


Property changes on: users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku
___________________________________________________________________
Modified: svn:mergeinfo
   - /branches/mld-qt-481/dports/gnome/gnome-sudoku:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/trunk/dports/gnome/gnome-sudoku:139335-142269
/users/rmstonecipher/gnome/gnome-sudoku:102363-103172
   + /branches/mld-qt-481/dports/gnome/gnome-sudoku:92720,92813,92891,92963,93522,93556,93699,93743,93771-93773,93806,93817-93818,93856
/trunk/dports/gnome/gnome-sudoku:139335-142269
/users/devans/GNOME-3/unstable/dports/gnome/gnome-sudoku:142745-147190
/users/rmstonecipher/gnome/gnome-sudoku:102363-103172

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/Portfile
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/Portfile	2016-04-01 22:56:13 UTC (rev 147339)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/Portfile	2016-04-01 22:57:45 UTC (rev 147340)
@@ -4,8 +4,7 @@
 PortSystem          1.0
 
 name                gnome-sudoku
-version             3.18.2
-revision            1
+version             3.20.0
 license             GPL-2+
 set branch          [join [lrange [split ${version} .] 0 1] .]
 description         Sudoku is a Japanese logic game that exploded in popularity in 2005.
@@ -18,15 +17,14 @@
 
 use_xz              yes
 
-checksums           rmd160  408b34ab9ec592b0535bf6c8b9e108f2b5c57c03 \
-                    sha256  4eefde04145d9f4bf30f4327b83929f6bfb8a19b604337c1d75f66e984f8c0ac
+checksums           rmd160  c69861beded077248e2360c06d2cecbff12fbab2 \
+                    sha256  08369a080eb09ce12cbacd0efbe0f4e7edf07e08b3d15918d0e99a42efb810d9
 
 depends_build       port:pkgconfig \
                     port:intltool \
                     port:itstool \
                     port:yelp-tools \
                     port:appstream-glib \
-                    port:gnome-common \
                     port:autoconf \
                     port:automake \
                     port:libtool

Modified: users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/files/autogen.sh
===================================================================
--- users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/files/autogen.sh	2016-04-01 22:56:13 UTC (rev 147339)
+++ users/devans/GNOME-3/stable/dports/gnome/gnome-sudoku/files/autogen.sh	2016-04-01 22:57:45 UTC (rev 147340)
@@ -1,15 +1,47 @@
 #!/bin/sh
 # Run this to generate all the initial makefiles, etc.
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
 
-which gnome-autogen.sh || {
-    echo "You need to install gnome-common from GNOME git (or from"
-    echo "your OS vendor's package manager)."
-    exit 1
+olddir=`pwd`
+
+cd $srcdir
+
+(test -f configure.ac) || {
+        echo "*** ERROR: Directory "\`$srcdir\'" does not look like the top-level project directory ***"
+        exit 1
 }
 
-REQUIRED_AUTOMAKE_VERSION=1.9 
-REQUIRED_YELP_TOOLS_VERSION=3.1.1
-REQUIRED_GETTEXT_VERSION=0.12
-REQUIRED_INTLTOOL_VERSION=0.40.4
+# Use the style-checker as pre-commit and pre-applypatch hooks
+if [ -d $srcdir/.git ]; then
+        if [ ! -L $srcdir/.git/hooks/pre-commit ]; then
+            ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-commit && echo "Enabled pre-commit style checker." || :
+        fi
+        if [ ! -L $srcdir/.git/hooks/pre-applypatch ]; then
+            ln -s ../../../libgames-support/style-checker $srcdir/.git/hooks/pre-applypatch && echo "Enabled pre-applypatch style checker." || :
+        fi
+fi
 
-. gnome-autogen.sh
+PKG_NAME=`autoconf --trace 'AC_INIT:$1' configure.ac`
+
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+        echo "*** WARNING: I am going to run \`configure' with no arguments." >&2
+        echo "*** If you wish to pass any to it, please specify them on the" >&2
+        echo "*** \`$0\' command line." >&2
+        echo "" >&2
+fi
+
+aclocal --install || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+cd $olddir
+if [ "$NOCONFIGURE" = "" ]; then
+        $srcdir/configure "$@" || exit 1
+
+        if [ "$1" = "--help" ]; then exit 0 else
+                echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+        fi
+else
+        echo "Skipping configure process."
+fi
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.macosforge.org/pipermail/macports-changes/attachments/20160401/150ca211/attachment-0001.html>


More information about the macports-changes mailing list